using Common.Dtos.Common;
using Common.Dtos.Specialization;
using Common.Dtos.Subject;

namespace Api.Services.Interfaces;

public interface ISubjectService
{
    Task<CreateSubjectResponse> CreateAsync(CreateSubjectRequest request);
    Task<PagedList<SubjectDto>> GetAllPagedAsync(GetSubjectsRequest request);
    Task<SubjectDto[]> GetAllAsync();
}
